Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.security.owsrequestvalidator.csw
Class AbstractCSWRequestValidator

    java.lang.Object
      org.deegree.security.owsrequestvalidator.RequestValidator
          org.deegree.security.owsrequestvalidator.csw.AbstractCSWRequestValidator

Direct Known Subclasses:
  DescribeRecordRequestValidator, GetRecordByIdRequestValidator, GetRecordsRequestValidator, GetRepositoryItemRequestValidator, TransactionValidator

    public abstract class AbstractCSWRequestValidator

extends RequestValidator

Abstract super class for validating catalogue requests.

Since:
  2.0
Version:
  $Revision: 18195 $, 1.0. $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth, last edited by: $Author: mschneider $

Field Summary

Fields inherited from class org.deegree.security.owsrequestvalidator.RequestValidator
`gpv, policy, securityConfig, userCoupled`

Constructor Summary
`AbstractCSWRequestValidator(Policy policy)` initializes the AbstractCSWRequestValidator by passing an instance of the policy to be used by each concrete implementation

Method Summary
`protected ComplexFilter` | `extractInstanceFilter(Operation operation, List<ComplexFilter> foundFilters)`
`void` | `validateRecordTypes(Condition condition, String[] typeNames)` validates the requested record type / outputTypeRec.

Methods inherited from class org.deegree.security.owsrequestvalidator.RequestValidator
`getPolicy, handleUserCoupledRules, setPolicy, validateExceptions, validateRequest, validateVersion`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractCSWRequestValidator

    public AbstractCSWRequestValidator(Policy policy)

  initializes the AbstractCSWRequestValidator by passing an instance of the policy to be used by each concrete implementation

  Parameters:
    `policy` -

Method Detail

### validateRecordTypes

    public void validateRecordTypes(Condition condition,
                                    String[] typeNames)

  validates the requested record type / outputTypeRec. If the current user is not allowed to request a record type (e.g. ISO 19115) an UnauthorizedException will be thrown.

  Parameters:
    `condition` -
    `typeNames` -

### extractInstanceFilter

    protected ComplexFilter extractInstanceFilter(Operation operation,
                                                  List<ComplexFilter> foundFilters)
                                           throws SAXException,
                                                  IOException,
                                                  FilterConstructionException

  Throws:
    `SAXException`
    `IOException`
    `FilterConstructionException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org